# PulpAnsibleClient::PulpAnsibleGalaxyApiV3AllApi

All URIs are relative to *http://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**list**](PulpAnsibleGalaxyApiV3AllApi.md#list) | **GET** /pulp_ansible/galaxy/{path}/api/v3/collection_versions/all/ | 
[**list_0**](PulpAnsibleGalaxyApiV3AllApi.md#list_0) | **GET** /pulp_ansible/galaxy/{path}/api/v3/collections/all/ | 



## list

> Array&lt;UnpaginatedCollectionVersionResponse&gt; list(path, opts)



Returns paginated CollectionVersions list.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'

api_instance = PulpAnsibleClient::PulpAnsibleGalaxyApiV3AllApi.new
path = 'path_example' # String | 
opts = {
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  result = api_instance.list(path, opts)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling PulpAnsibleGalaxyApiV3AllApi->list: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **path** | **String**|  | 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**Array&lt;UnpaginatedCollectionVersionResponse&gt;**](UnpaginatedCollectionVersionResponse.md)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## list_0

> Array&lt;CollectionResponse&gt; list_0(path, opts)



Unpaginated ViewSet for Collections.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'

api_instance = PulpAnsibleClient::PulpAnsibleGalaxyApiV3AllApi.new
path = 'path_example' # String | 
opts = {
  deprecated: 'deprecated_example', # String | 
  name: 'name_example', # String | 
  namespace: 'namespace_example', # String | 
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  result = api_instance.list_0(path, opts)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling PulpAnsibleGalaxyApiV3AllApi->list_0: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **path** | **String**|  | 
 **deprecated** | **String**|  | [optional] 
 **name** | **String**|  | [optional] 
 **namespace** | **String**|  | [optional] 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**Array&lt;CollectionResponse&gt;**](CollectionResponse.md)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json

