# PulpAnsibleClient::PulpAnsibleGalaxyApiV3VersionsApi

All URIs are relative to *http://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**list**](PulpAnsibleGalaxyApiV3VersionsApi.md#list) | **GET** /pulp_ansible/galaxy/{path}/api/v3/collections/{namespace}/{name}/versions/ | 
[**read**](PulpAnsibleGalaxyApiV3VersionsApi.md#read) | **GET** /pulp_ansible/galaxy/{path}/api/v3/collections/{namespace}/{name}/versions/{version}/ | 



## list

> PaginatedCollectionVersionResponseList list(name, namespace, path, opts)



Returns paginated CollectionVersions list.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'

api_instance = PulpAnsibleClient::PulpAnsibleGalaxyApiV3VersionsApi.new
name = 'name_example' # String | 
namespace = 'namespace_example' # String | 
path = 'path_example' # String | 
opts = {
  is_highest: true, # Boolean | 
  limit: 56, # Integer | Number of results to return per page.
  name2: 'name_example', # String | 
  namespace2: 'namespace_example', # String | 
  offset: 56, # Integer | The initial index from which to return the results.
  q: 'q_example', # String | 
  repository_version: 'repository_version_example', # String | Repository Version referenced by HREF
  repository_version_added: 'repository_version_added_example', # String | Repository Version referenced by HREF
  repository_version_removed: 'repository_version_removed_example', # String | Repository Version referenced by HREF
  tags: 'tags_example', # String | Filter by comma separate list of tags that must all be matched
  version: 'version_example', # String | Filter results where version matches value
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  result = api_instance.list(name, namespace, path, opts)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling PulpAnsibleGalaxyApiV3VersionsApi->list: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **name** | **String**|  | 
 **namespace** | **String**|  | 
 **path** | **String**|  | 
 **is_highest** | **Boolean**|  | [optional] 
 **limit** | **Integer**| Number of results to return per page. | [optional] 
 **name2** | **String**|  | [optional] 
 **namespace2** | **String**|  | [optional] 
 **offset** | **Integer**| The initial index from which to return the results. | [optional] 
 **q** | **String**|  | [optional] 
 **repository_version** | **String**| Repository Version referenced by HREF | [optional] 
 **repository_version_added** | **String**| Repository Version referenced by HREF | [optional] 
 **repository_version_removed** | **String**| Repository Version referenced by HREF | [optional] 
 **tags** | **String**| Filter by comma separate list of tags that must all be matched | [optional] 
 **version** | **String**| Filter results where version matches value | [optional] 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**PaginatedCollectionVersionResponseList**](PaginatedCollectionVersionResponseList.md)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## read

> CollectionVersionResponse read(name, namespace, path, version, opts)



Returns a CollectionVersion object.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'

api_instance = PulpAnsibleClient::PulpAnsibleGalaxyApiV3VersionsApi.new
name = 'name_example' # String | 
namespace = 'namespace_example' # String | 
path = 'path_example' # String | 
version = 'version_example' # String | 
opts = {
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  result = api_instance.read(name, namespace, path, version, opts)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling PulpAnsibleGalaxyApiV3VersionsApi->read: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **name** | **String**|  | 
 **namespace** | **String**|  | 
 **path** | **String**|  | 
 **version** | **String**|  | 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**CollectionVersionResponse**](CollectionVersionResponse.md)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json

